Zapier: Add Person
curl --request POST \
--url https://api.stardex.ai/zapier/zap-add-person \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"linkedin_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"current_job_title": "<string>",
"linkedin_location": "<string>",
"company_name": "<string>",
"email": "jsmith@example.com",
"emails": "<string>",
"phone_number": "<string>",
"phone_numbers": "<string>",
"notes": "<string>",
"job_id": "<string>",
"job_name": "<string>",
"client_name": "<string>",
"client_id": "<string>",
"external_source_id": "<string>",
"enrich_record": true
}
'import requests
url = "https://api.stardex.ai/zapier/zap-add-person"
payload = {
"name": "<string>",
"linkedin_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"current_job_title": "<string>",
"linkedin_location": "<string>",
"company_name": "<string>",
"email": "jsmith@example.com",
"emails": "<string>",
"phone_number": "<string>",
"phone_numbers": "<string>",
"notes": "<string>",
"job_id": "<string>",
"job_name": "<string>",
"client_name": "<string>",
"client_id": "<string>",
"external_source_id": "<string>",
"enrich_record": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
linkedin_url: '<string>',
first_name: '<string>',
last_name: '<string>',
current_job_title: '<string>',
linkedin_location: '<string>',
company_name: '<string>',
email: 'jsmith@example.com',
emails: '<string>',
phone_number: '<string>',
phone_numbers: '<string>',
notes: '<string>',
job_id: '<string>',
job_name: '<string>',
client_name: '<string>',
client_id: '<string>',
external_source_id: '<string>',
enrich_record: true
})
};
fetch('https://api.stardex.ai/zapier/zap-add-person', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"linkedin_public_id": "<string>",
"current_job_title": "<string>",
"company_name": "<string>",
"linkedin_location": "<string>",
"emails": [
{
"contact_data_type": "<string>",
"value": "<string>"
}
],
"phones": [
{
"contact_data_type": "<string>",
"value": "<string>"
}
],
"candidate_id": "<string>",
"client_contact_id": "<string>",
"external_source_id": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Zapier Endpoints
Zapier: Add Person
Creates a new person record tuned for Zapier payloads (comma-separated emails/phones supported).
POST
/
zapier
/
zap-add-person
Zapier: Add Person
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
application/json
Minimum string length:
1Was this page helpful?
⌘I